Subject: Re: bug#61350: Eglot over Tramp freezes with large project

From: João Távora <[email-masked]>
Date: Tue, 28 Feb 2023 14:41:16 +0000

On Tue, Feb 28, 2023 at 12:59 PM Michael Albinus <[email-masked]> wrote:

> Eglot is not the first user of this. But Eglot sends a huge amount of
> data over the wire, which seems to trigger the problem.
>
> For example, lsp-mode uses start-file-process-shell-command, which calls
> under the hood make-process similarly.

Do you have reasons to think that lsp-mode's approach is better in
this regard?  I'd be happy to switch, if feasible, but judging from
LSP mode's bug tracker it doesn't look very good.  There are
quite a few Tramp-related issues and some of them seem to reference
hangs too.

So Eglot might not be the first ever victim here.

> I'm not against changing Tramp, really. But first I must understand
> what's the problem, and why a change will solve it. Without other
> collateral damages.

Of course.  I just happen think changing the default of a variable
to a more conservative and safe one is a good starting point.

> > Here are some questions.
> [...]
> No need for synchronous processes. And for asynchronous processes, they
> have their own process. If configuration options are changed prior the
> make-process call, they apply.

That's good news.  Thank you for your answers.

João